<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorator="layouts/main">
<head>
    <title>User data</title>
    <link rel="stylesheet" th:href="@{/css/profile.css}"/>
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-slider/10.0.0/css/bootstrap-slider.min.css"/>
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css"/>
</head>
<body>

<div layout:fragment="container" id="profile" class="row">
    <div class="col-md-12">
        <div class="row" th:if="${ status != null }">
            <div class="col-md-4 col-md-offset-4">
                <th:block
                        th:include="fragments/base::dialog(${status}, ${message}, null)"/>

            </div>

        </div>

        <div class="row body">
            <div class="col-md-4 col-md-offset-4">
                <th:block th:include="fragments/profile::userData(${userData}, ${userProfile}, ${avatar}, ${score})"/>
            </div>
        </div>

        <div class="row body">
            <div class="col-md-4 col-md-offset-4">
                <th:block th:include="fragments/profile::skills(${skills}, ${skillUserRates}, ${skillTbtRates}, ${quizResults})"/>
            </div>
        </div>
    </div>
</div>

<div layout:fragment="js">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-slider/10.0.0/bootstrap-slider.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js"></script>
    <script th:src="@{/js/application.js}"></script>
    <script th:src="@{/js/profile.js}"></script>
</div>

</body>
</html>